CRMchat APIBeta
Telegram APIMessages

messages.savePreparedInlineMessage

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.savePreparedInlineMessage

Save a prepared inline message, to be shared by the user of the mini app using a web_app_send_prepared_message event

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Save a prepared inline message, to be shared by the user of the mini app using a web_app_send_prepared_message event

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.savePreparedInlineMessage" \  -H "Content-Type: application/json" \  -d '{    "params": {      "result": {        "_": "inputBotInlineResult",        "id": "string",        "type": "string",        "sendMessage": {          "_": "inputBotInlineMessageMediaAuto",          "message": "string"        }      },      "userId": {        "_": "inputUserEmpty"      }    }  }'
{  "result": {    "_": "messages.botPreparedInlineMessage",    "id": "string",    "expireDate": 0  }}